"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_codegen_visitor_plugin_common_1 = require("graphql-codegen-visitor-plugin-common");
const flow_selection_set_to_object_1 = require("./flow-selection-set-to-object");
const graphql_codegen_flow_1 = require("graphql-codegen-flow");
class FlowDocumentsVisitor extends graphql_codegen_visitor_plugin_common_1.BaseDocumentsVisitor {
    constructor(schema, config) {
        super(config, {
            useFlowExactObjects: config.useFlowExactObjects || false,
            useFlowReadOnlyTypes: config.useFlowReadOnlyTypes || false
        }, schema);
        this.setSelectionSetHandler(new flow_selection_set_to_object_1.FlowSelectionSetToObject(this.scalars, this.schema, this.convertName, this.config.addTypename, this.config));
        this.setVariablesTransformer(new graphql_codegen_flow_1.FlowOperationVariablesToObject(this.scalars, this.convertName));
    }
}
exports.FlowDocumentsVisitor = FlowDocumentsVisitor;
//# sourceMappingURL=visitor.js.map